ListRecommendations
Lists all recommendations in the account, with optional filtering by status.
Request Syntax
GET /recommendations?maxResults=maxResults&nextToken=nextToken&status=statusFilter HTTP/1.1
URI Request Parameters
The request uses the following URI parameters.
- maxResults
-
The maximum number of results to return in the response. If the total number of results is greater than this value, use the token returned in the response in the
nextTokenfield when making another request to return the next batch of results.Valid Range: Minimum value of 1. Maximum value of 100.
- nextToken
-
If the total number of results is greater than the
maxResultsvalue provided in the request, enter the token returned in thenextTokenfield in the response in this field to return the next batch of results.Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
\S* - statusFilter
-
Optional filter to return only recommendations with the specified status.
Valid Values:
PENDING | IN_PROGRESS | COMPLETED | FAILED | DELETING
Request Body
The request does not have a request body.
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"nextToken": "string",
"recommendationSummaries": [
{
"createdAt": "string",
"description": "string",
"name": "string",
"recommendationArn": "string",
"recommendationId": "string",
"status": "string",
"type": "string",
"updatedAt": "string"
}
]
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- nextToken
-
If the total number of results is greater than the
maxResultsvalue provided in the request, use this token when making another request in thenextTokenfield to return the next batch of results.Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
\S* - recommendationSummaries
-
The list of recommendation summaries.
Type: Array of RecommendationSummary objects
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
The exception that occurs when you do not have sufficient permissions to perform an action. Verify that your IAM policy includes the necessary permissions for the operation you are trying to perform.
HTTP Status Code: 403
- InternalServerException
-
The exception that occurs when the service encounters an unexpected internal error. This is a temporary condition that will resolve itself with retries. We recommend implementing exponential backoff retry logic in your application.
HTTP Status Code: 500
- ThrottlingException
-
The exception that occurs when the request was denied due to request throttling. This happens when you exceed the allowed request rate for an operation. Reduce the frequency of requests or implement exponential backoff retry logic in your application.
HTTP Status Code: 429
- ValidationException
-
The exception that occurs when the input fails to satisfy the constraints specified by the service. Check the error message for details about which input parameter is invalid and correct your request.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: